
QGIS Application - Bug report #17643

Circular string does not work

2017-12-06 09:35 AM - Saber Razmjooei

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version:2.18.14 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25540

Description

To reproduce the error:

1- Digitize a new circular string 

2- Press save

3- The feature disappears

Associated revisions

Revision 7e20fe4c - 2018-01-28 12:51 AM - Jürgen Fischer

make converting to multi geometries to fullfil provider geometry

constraints the last step and use earlier conversions (fixes #17643)

History

#1 - 2017-12-06 09:46 AM - Saber Razmjooei

This is specific to PostGIS only.

#2 - 2018-01-13 11:50 AM - Jan Lippmann

I can confirm. it creates NULL geometries. i think it depends on the geometrytypewhich is defined in the postgis table. with MULTIPOLYGON this problem

occurs in my case.

CREATE TABLE public.gis_gruen_f

(

  gid SERIAL,

  geo_id integer NOT NULL DEFAULT 0,

  the_geom geometry(MultiPolygon,31467) NOT NULL DEFAULT NULL::geometry,

  CONSTRAINT pk_gis_gruen_f PRIMARY KEY (gid),

  CONSTRAINT enforce_dims_the_geom CHECK (st_ndims(the_geom) = 2),

  CONSTRAINT enforce_geotype_the_geom CHECK (geometrytype(the_geom) = 'MULTIPOLYGON'::text OR the_geom IS NULL),

  CONSTRAINT enforce_srid_the_geom CHECK (st_srid(the_geom) = 31467)

)

WITH (

  OIDS=FALSE

);

with other dataprovider this problem do not occur. after click save edits, the circular/curved geometry converted/segmentized to the defined geometrytype
in the datasource.

its possible to set the priority of this issue to "high". i think its an important issue for digitizing.

thank you

QGIS 2.18.x and actual master are affected

#3 - 2018-01-14 11:48 AM - Saber Razmjooei

- Priority changed from Normal to High

#4 - 2018-01-27 10:52 AM - Jan Lippmann

hello,

it's possible that anybody of the fantastic qgis developers could solve this problem for qgis 3.0 release?

@Jürgen Fischer

It's easy to fix that issue?

#5 - 2018-01-27 03:16 PM - Jürgen Fischer

- Category changed from Digitising to Vectors

- Assignee set to Jürgen Fischer

#6 - 2018-01-28 01:11 AM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|7e20fe4cdcc75624d16db211abccaa6cd4e17a65.

#7 - 2018-02-22 11:06 AM - Giovanni Manghi

- Resolution set to fixed/implemented
